Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

### - w -

- waiting : Lucene::WaitQueue
- waitingBytes : Lucene::WaitQueue
- waitMutex : Lucene::LuceneSignal
- waitQueue : Lucene::DocumentsWriter
- waitQueuePauseBytes : Lucene::DocumentsWriter
- waitQueueResumeBytes : Lucene::DocumentsWriter
- weight : Lucene::PhraseScorer , Lucene::SpanScorer , Lucene::TermScorer
- weightValue : Lucene::TermScorer
- WILDCARD_CHAR : Lucene::WildcardTermEnum
- WILDCARD_STRING : Lucene::WildcardTermEnum
- WITHOUT_GEN : Lucene::SegmentInfo
- wlen : Lucene::OpenBitSet
- word : Lucene::OpenBitSetIterator
- words : Lucene::OpenBitSetIterator
- wordShift : Lucene::OpenBitSetIterator
- work : Lucene::ThreadPool
- workCount : Lucene::CheckAbort
- WRITE_LOCK_NAME : Lucene::IndexWriter
- WRITE_LOCK_TIMEOUT : Lucene::IndexWriter
- writeLock : Lucene::DirectoryReader , Lucene::IndexWriter
- writeLockTimeout : Lucene::IndexWriter
- writeThread : Lucene::IndexWriter

clucene.sourceforge.net